﻿@inject IViewLocalizer Localizer
@using Microsoft.AspNetCore.Mvc.Localization
@model IS4SSO.STS.Identity.ViewModels.Account.RegisterViewModel
@{
    ViewData["Title"] = Localizer["Title"];
}

<h2>@ViewData["Title"].</h2>

@await Html.PartialAsync("_ValidationSummary")

<form asp-controller="Account" asp-action="Register" asp-route-returnurl="@ViewData["ReturnUrl"]" method="post" class="form-horizontal">
    <h4>@Localizer["SubTitle"]</h4>
    <hr />
    <div class="form-group">
        <label asp-for="UserName" class="col-md-2 control-label">@Localizer["UserName"]</label>
        <div class="col-md-10">
            <input asp-for="UserName" class="form-control" />
            <span asp-validation-for="UserName" class="text-danger"></span>
        </div>
    </div>
    <div class="form-group">
        <label asp-for="Email" class="col-md-2 control-label">@Localizer["Email"]</label>
        <div class="col-md-10">
            <input asp-for="Email" class="form-control" />
            <span asp-validation-for="Email" class="text-danger"></span>
        </div>
    </div>
    <div class="form-group">
        <label asp-for="Password" class="col-md-2 control-label">@Localizer["Password"]</label>
        <div class="col-md-10">
            <input asp-for="Password" class="form-control" />
            <span asp-validation-for="Password" class="text-danger"></span>
        </div>
    </div>
    <div class="form-group">
        <label asp-for="ConfirmPassword" class="col-md-2 control-label">@Localizer["ConfirmPassword"]</label>
        <div class="col-md-10">
            <input asp-for="ConfirmPassword" class="form-control" />
            <span asp-validation-for="ConfirmPassword" class="text-danger"></span>
        </div>
    </div>
    <div class="form-group">
        <div class="col-md-offset-2 col-md-10">
            <button type="submit" class="btn btn-primary">@Localizer["Button"]</button>
        </div>
    </div>
</form>